##
##  fop.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         fop
Summary:      Formatting Objects (XML-FO) Processor
URL:          http://xml.apache.org/fop/
Vendor:       Apache Software Foundation
Packager:     The OpenPKG Project
Distribution: OpenPKG [EVAL]
Group:        Misc
License:      GPL
Version:      0.20.4
Release:      20021110

#   list of sources
Source0:      http://xml.apache.org/dist/fop/fop-%{version}-bin.tar.gz
Source1:      fop.sh

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206
PreReq:       OpenPKG, openpkg >= 20020206, JRE
AutoReq:      no
AutoReqProv:  no

%description
    FOP (Formatting Objects Processor) is the world's first print
    formatter driven by XSL formatting objects and the world's first
    output independent formatter. It is a Java application that reads
    a formatting object tree and then renders the resulting pages to a
    specified output. Output formats currently supported are PDF, PCL,
    PS, SVG, XML (area tree representation), Print, AWT, MIF and TXT.
    The primary output target is PDF.

%prep
    %setup -q

%build
    #   no-op

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/lib/fop \
        $RPM_BUILD_ROOT%{l_prefix}/share/fop/conf
    %{l_shtool} install -c -m 644 \
        build/*.jar lib/*.jar \
        $RPM_BUILD_ROOT%{l_prefix}/lib/fop/
    %{l_shtool} install -c -m 644 \
        docs/xslfoRef.pdf \
        $RPM_BUILD_ROOT%{l_prefix}/share/fop/
    %{l_shtool} install -c -m 644 \
        conf/* $RPM_BUILD_ROOT%{l_prefix}/share/fop/conf/
    %{l_shtool} install -c -m 755 \
        -e 's;@l_prefix@;%{l_prefix};g' \
        %{SOURCE fop.sh} \
        $RPM_BUILD_ROOT%{l_prefix}/bin/fop
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

